Subject: Bird 62.3 -- Enhanced Specification of Receiver Thresholds

From: "Peters, Stephen" <[email-masked]>
Date: Fri, 18 Feb 2000 13:00:50 -0800

Hello All:

   In response to Bob Ross's comments I have updated Bird 62 to 62.3.  In
brief, the subparameter
Input_ref_supply has been changed to Reference_supply and the list of
allowable arguments
has been expanded.  Also, to address Bob's concern about specifing
differential recievers,
I've added four new subparameters specifically for this case.  These
parameters specificy
difference voltage and the minimum and maximum allowable input cross points
when switching.
Please read and be prepared to discuss this BIRD at the next phone
conference.

   Regards,
   Stephen Peters
   Intel Corp.

======================

                  Buffer Issue Resolution Document  (BIRD)
 
 BIRD ID#:      62.3
 ISSUE TITLE:   Enhanced Specification of Receiver Thresholds
 REQUESTER:     DC Sessions (Philips), Stephen Peters, Richard Mellitz,
                Arpad Muranyi (Intel Corp).
 DATE SUBMITTED:  Aug 24, 1999, Dec 28, 1999, Jan 6, 2000, Feb 18, 2000
 DATE ACCEPTED BY IBIS OPEN FORUM:
 
****************************************************************************
***
****************************************************************************
***
 
 STATEMENT OF THE ISSUE:  When specifying receiver input thresholds the
current
 specification allows only the traditional DC derived Vinh and Vinl
parameters.
 These two parameters are no longer adequate for describing receivers used
for
 high speed designs.  This BIRD proposes four new input switching threshold
 parameters: Vinh_ac, Vinh_dc, Vinl_ac, Vinl_dc.  These parameters are
 referenced to an reference point Vth, and this reference is allowed to vary
 with variations in a supply.
 
****************************************************************************
***
 
 STATEMENT OF THE RESOLVED SPECIFICATIONS:
 
 1) The following new keyword is defined and placed in the specification
 just below the [Model Spec] keyword.
 
|===========================================================================
==
|      Keyword: [Receiver Thresholds]
|     Required: No
|   Sub-Params: Vth, Vth_min, Vth_max, Vinh_ac, Vinh_dc, Vinl_ac, Vinl_dc,
|               Vth_sensitivity, Reference_supply, Vcross_min, Vcross_max,
|               Vdiff_ac, Vdiff_dc
|  Description: The [Receiver Thresholds] keyword defines both a set of
|               receiver input thresholds as well as their sensitivity to
|               variations in a referenced supply.  The subparameters are
|               defined as follows:
|
|               Vth, Vth_min and Vth_max is the ideal input threshold
voltage
|               at which the output of a digital logic receiver changes
state.
|               Vth is the nominal input threshold voltage under the
voltage,
|               temperature and process conditions that define 'typ'.
Vth_min
|               is the minimum input threshold voltage at 'typ' conditions
|               while Vth_max is the maximum input threshold voltage at
'typ'
|               conditions.
|
|               Vinh_ac is the voltage that a low-to-high going input
waveform
|               must reach in order to guarantee that the receiver's output
|               has changed state.  In other words, reaching Vinh_ac is
|               sufficient to guarantee a receiver state change.  Vinh_ac is
|               expressed as an offset from Vth.
|
|               Vinh_dc is the voltage that an input waveform must remain
|               above (more positive than) in order to guarantee that a
|               receiver output will NOT change state.  Vinh_dc is expressed
|               as an offset from Vth.
|
|               Vinl_ac is the voltage that a high-to-low going input
waveform
|               must reach in order to guarantee that the receiver's output
|               has changed state.  In other words, reaching Vinl_ac is
|               sufficient to guarantee a receiver state change.  Vinl_ac
|               is expressed as an offset from Vth.
|
|               Vinl_dc is the voltage that an input waveform must remain
below
|               (more negative than) in order to guarantee that a receiver's
|               output will NOT change state.  Vinh_dc is expressed as a
|               offset from Vth.
|
|               Vth_sensitivity is a unit less number that specifies how Vth
|               varies with respect to the supply voltage defined by the
|               Reference_supply subparameter. Vth_sensitivity is defined
|               as:
|
|                                   change in input threshold voltage
|               Vth_sensitivity = ------------------------------------
|                                  change in referenced supply voltage
|
|               Vth_sensitivity must be entered as a whole number or
|               decimal, not as a fraction.
|
|               Reference_supply indicates which supply voltage Vth tracks;
|               i.e. it indicates which supply voltage change causes a
change
|               in input threshold.  The legal arguments to this
subparameter
|               are as follows:
|               Power_clamp_ref (the supply voltage defined by the
|                                [POWER Clamp Reference] keyword)
|               Gnd_clamp_ref   (the supply voltage defined by the 
|                                [GND Clamp Reference] keyword)
|               Pullup_ref      (the supply voltage defined by the
|                                [Pullup reference] keyword)
|               Pulldown_ref    (the supply voltage defined by the
|                                [Pulldown reference] keyword)
|               Ext_ref         (the supply voltage defined by the 
|                                [External Reference] keyword)
|
|
|
|               Vcross_min is the minimum voltage at which a differential 
|               receivers' input signals may cross while switching and
|               still allow the receiver to meet its timing and functional 
|               specifications.  Vcross_min is specified with respect to
|               0V.
|
|               Vcross_max is the maximum voltage at which a differential 
|               receivers' input signals may cross while switching and
|               still allow the receiver to meet its timing and functional 
|               specifications.  Vcross_max is specified with respect to
|               0V.
|
|               Vdiff_dc is the minimum voltage difference between the 
|               inputs of a differential receiver that guarantees the
|               receiver will not change state.
|
|               Vdiff_ac is the minimum voltage difference between the 
|               inputs of a differential receiver that guarantees the 
|               receiver will change state.
|
|
|
| Usage Rules:  The [Receiver Thresholds] keyword is valid if the model type
|               includes any reference to input or I/O.  For single ended
|               receivers the Vinh_ac, Vinh_dc, Vinl_ac, Vinh_dc and Vth 
|               subparameters are required and override the Vinh, Vinl, 
|               Vinh+/- and Vinl+/- subparameters declared under the
|               [Model] or [Model Spec] keywords.  For single ended
|               receivers the Vth_min, Vth_max, Vth_sensitivity and 
|               Reference_supply subparameters are optional.  However, if 
|               the Vth_sensitivity subparameter is present then the 
|               Reference_supply subparameter must also be present.
|
|               For differential receivers (i.e. the [Receiver Threshold]
|               keyword is part of a [Model] statement that describes a pin 
|               listed in the [Diff Pin] keyword) then the Vcross_min, 
|               Vcross_max, Vdiff_ac and Vdiff_dc subparameters are
|               required. The rest of the subparameters are not applicable
to
|               differential receivers so are not used.  The Vdiff_ac
|               Vdiff_dc values override the value of the Vdiff
|               subparameter specified by the [Diff Pin] keyword.  Note
|               that Vcross_min and Vcross_max are valid over the devices
|               minimum and maximum operating conditions, and correspond
|               to the 'min' and 'max' columns used in the I-V and V-T
|               curves. 
|
|               Subparameter Usage Rules:
|               Numerical arguments are separated from their associated
|               subparameter by an equals sign (=); white space around the
|               equals sign is optional.  The argument to the
|               Reference_supply subparameter is separated from the 
|               subparameter by white space.
|
|               Vth at Minimum or Maximum Operating Conditions:
|               As described above, the Vth_min and Vth_max subparameters
|               define the minimum and maximum input threshold values under
|               typical operating conditions.  There is no provision for
|               directly specifying Vth under minimum or maximum operating
|               conditions.  Instead, these values are calculated using
|               the following equation:
|
|      Vth(min/max) = Vth* + [(Vth_sensitivity) X (change in supply
voltage)]
|
|               where Vth* is either Vth, Vth_min or Vth_max as appropriate,
|               and the supply voltage is the one indicated by the
|               Reference_Supply subparameter.
|
|
|
| Examples:
|
| A basic 3.3v single ended receiver using only the required
| subparameters
|
Vth = 1.5v
Vinh_ac = +225mV
Vinh_dc = +100mV
Vinl_ac = -225mV
Vinl_dc = -100mV
|
|
| A single ended receiver using an external threshold reference.  In this
| case the input threshold is the external reference voltage so
| Vth_sensitivity equals 1.
|
Vth = 1.0v
Vth_sensitivity = 1
Reference_Supply Ext_ref
Vinh_ac = +200mV
Vinh_dc = +100mV
Vinl_ac = -200mV
Vinl_dc = -100mV
|
|
| A fully specified single ended 3.3v CMOS receiver
|
Vth = 1.5v
Vth_min = 1.45v
Vth_max = 1.53v
Vth_sensitivity = 0.45
Reference_supply Power_clamp_ref
Vinh_ac = +200mV
Vinh_dc = +100mV
Vinl_ac = -200mV
Vinl_dc = -100mV
|
|
| A differential receiver
|
Vcross_min = 0.65V
Vcross_max = 0.90v
Vdiff_ac = +200mv
Vdiff_dc = +100mV

2) The following new keyword is defined and place in the specification
following the [GND Clamp Reference] keyword
|===========================================================================
==
|      Keyword: [External Reference]
|     Required: Yes, if a receiver's input threshold is determined by an
|               external reference voltage
|  Description: Defines a voltage source that supplies the reference voltage
|               used by a receiver for its input threshold reference.
|  Usage Notes: Provide actual voltages (not percentages in the typ, min max
|               format.  "NA" is allowed for the min and max values only.
|               Note that the numerically largest value should be placed in
|               'max' column, while the numerically smallest value should
|               be placed in the 'min' column. 
|               
|---------------------------------------------------------------------------
--
| variable              typ          min           max
[External Reference]    1.0v         0.95v        1.05v

3)  Under section 2 of General Syntax Rules and Guidelines the following
words are added to the list of reserved words.

Ext_ref         - A reference to a voltage defined by the 
                  [External Reference] Keyword
Power_clamp_ref - A reference to a voltage defined by the 
                  [POWER Clamp Reference] keyword
Gnd_clamp_ref   - A reference to a voltage defined by the 
                  [GND Clamp Reference] keyword
Pullup_ref      - A reference to a voltage defined by the 
                  [Pullup Reference] keyword
Pulldown_ref    - A reference to a voltage defined by the 
                  [Pulldown Reference] keyword

****************************************************************************
**
 
ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:  This proposal follows the
recommendations of the JC-15 committee for specifying SDRAM inputs.

Update for 62.1:
  Specified exactly which [Model] and [Model Spec] parameters are
overridden by [Receiver Threshold] and changed the wording of the
"Differential Receivers:"  to indicate that the numerical 
value of Vth is *typically* assigned a value of 0v rather than 
*must* be assigned a value of zero.

Update for 62.2
  Under Usage Rules: added the section (Subparameter Usage Rules:)
describing the syntax rules for separating arguments from subparameters.
Updated examples with this change.

Update for 62.3
  The subparameter Input_Ref_Supply was renamed to Reference_supply
(this is to be consistent with other subparameter names).  The
list of arguments to the Reference_supply subparameter was expanded
and clarified. A note was added to the [External Reference]
keyword clarifying which values go in the min and max columns of this
keyword. Finally, four new subparameters that describe differential
receivers were added.

****************************************************************************
**

ANY OTHER BACKGROUND INFORMATION: This BIRD is a direct result of a
request by the JEDEC JC-15 committee to the IBIS Open Forum to provide
better
specification of receivers.  The basic form of this bird was discussed at
a meeting in July 1999 between DC Sessions of Phillips Corp. and Stephen
Peters, Richard Mellitz and Arpad Muranyi of Intel Corp.

****************************************************************************
***